R Studio Installation issue Red Hat Enterprise Linux Server release 7.9 (Maipo) ... Please suggest !!!!us.

Hi Team,

As we are facing an issue while Installing Rstudio. Please find all the relevant details and help us to resolve this issue.
OS Version : Red Hat Enterprise Linux Server release 7.9 (Maipo)

Installed Rstudio version:

[root@gbbe23v0316 log]# yum list installed rstudio-server
Loaded plugins: enabled_repos_upload, langpacks, package_upload, product-id, rhnplugin, search-disabled-repos, subscription-manager
This system is not registered with RHN Classic or Red Hat Satellite.
You can use rhn_register to register.
Red Hat Satellite or RHN Classic support will be disabled.
Installed Packages
rstudio-server.x86_64 1.4.1106-1 @/rstudio-server-rhel-1.4.1106-x86_64
Uploading Enabled Repositories Report
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is not registered with RHN Classic or Red Hat Satellite.
You can use rhn_register to register.
Red Hat Satellite or RHN Classic support will be disabled.

[root@gbbe23v0316 log]# yum info rstudio-server
Loaded plugins: enabled_repos_upload, langpacks, package_upload, product-id, rhnplugin, search-disabled-repos, subscription-manager

This system is not registered with RHN Classic or Red Hat Satellite.
You can use rhn_register to register.
Red Hat Satellite or RHN Classic support will be disabled.
Installed Packages
Name : rstudio-server
Arch : x86_64
Version : 1.4.1106
Release : 1
Size : 552 M
Repo : installed
From repo : /rstudio-server-rhel-1.4.1106-x86_64
Summary : rstudio-server
License : AGPL v.3.0
Description : RStudio is a set of integrated tools designed to help you be more productive with R. It includes a console, syntax-highlighting editor that
: supports direct code execution, as well as tools for plotting, history, and workspace management.

Uploading Enabled Repositories Report
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is not registered with RHN Classic or Red Hat Satellite.
You can use rhn_register to register.
Red Hat Satellite or RHN Classic support will be disabled.
[root@gbbe23v0316 log]#

[root@gbbe23v0316 log]# systemctl status rstudio-server.service
‚óŹ rstudio-server.service - RStudio Server
Loaded: loaded (/usr/lib/systemd/system/rstudio-server.service; enabled; vendor preset: disabled)
Active: failed (Result: start-limit) since Tue 2021-06-01 07:33:22 BST; 6min ago
Process: 32040 ExecStart=/usr/lib/rstudio-server/bin/rserver (code=exited, status=0/SUCCESS)
Main PID: 32041 (code=exited, status=1/FAILURE)Jun 01 07:33:21 gbbe23v0316 systemd[1]: Unit rstudio-server.service entered failed state.
Jun 01 07:33:21 gbbe23v0316 systemd[1]: rstudio-server.service failed.
Jun 01 07:33:22 gbbe23v0316 systemd[1]: rstudio-server.service holdoff time over, scheduling restart.
Jun 01 07:33:22 gbbe23v0316 systemd[1]: Stopped RStudio Server.
Jun 01 07:33:22 gbbe23v0316 systemd[1]: start request repeated too quickly for rstudio-server.service
Jun 01 07:33:22 gbbe23v0316 systemd[1]: Failed to start RStudio Server.
Jun 01 07:33:22 gbbe23v0316 systemd[1]: Unit rstudio-server.service entered failed state.
Jun 01 07:33:22 gbbe23v0316 systemd[1]: rstudio-server.service failed.
[root@gbbe23v0316 log]#

[root@gbbe23v0316 log]# rstudio-server verify-installation
01 Jun 2021 06:39:44 [rserver] WARNING Running as root user is not recommended!; LOGGED FROM: virtual rstudio::core::ProgramStatus rstudio::server::Options::read(int, char* const*, std::ostream&) src/cpp/server/ServerOptions.cpp:275
01 Jun 2021 06:39:44 [rserver] ERROR system error 2 (No such file or directory) [description: User not found., user-value: ]; OCCURRED AT rstudio::core::Error rstudio::core::system::User::Impl::populateUser(rstudio::core::system::User::Impl::GetPasswdFunc&, T) [with T = const char* rstudio::core::system::User::Impl::GetPasswdFunc = std::function<int(const char*, passwd*, char*, long unsigned int, passwd**)>] src/cpp/shared_core/system/User.cpp:68; LOGGED FROM: int main(int, char* const*) src/cpp/server/ServerMain.cpp:604
[root@gbbe23v0316 log]#

[root@gbbe23v0316 log]#
[root@gbbe23v0316 log]# tail -f rstudio-pm.log
/opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm) /opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm)
/opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm) /opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm)
/opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm) /opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm)
/opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm) /opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm)
/opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm) /opt/rstudio-pm/bin/rstudio-pm: /lib64/libc.so.6: version GLIBC_2.28' not found (required by /opt/rstudio-pm/bin/rstudio-pm)

This topic was automatically closed 21 days after the last reply. New replies are no longer allowed.

If you have a query related to it or one of the replies, start a new topic and refer back with a link.